<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>CustomPropertyUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Class CustomPropertyUtil" class="title">Class CustomPropertyUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>CustomPropertyUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public final class <span class="typeNameLabel">CustomPropertyUtil</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static Integer</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customGetInteger(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">customGetInteger</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
                @NonNull String&nbsp;key)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static IReferable</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customGetReference(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">customGetReference</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
                  @NonNull String&nbsp;key)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customGetString(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">customGetString</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
               @NonNull String&nbsp;key)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customGetTime(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">customGetTime</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
             @NonNull String&nbsp;key)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static Value</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,int)">customPut</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
         @NonNull String&nbsp;key,
         int&nbsp;num)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static Value</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,java.lang.String)">customPut</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
         @NonNull String&nbsp;key,
         String&nbsp;str)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static Value</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,org.eclipse.app4mc.amalthea.model.IReferable)">customPut</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
         @NonNull String&nbsp;key,
         IReferable&nbsp;reference)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static Value</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,org.eclipse.app4mc.amalthea.model.Time)">customPut</a></span>&#8203;(@NonNull IAnnotatable&nbsp;object,
         @NonNull String&nbsp;key,
         Time&nbsp;time)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customPut</h4>
<pre class="methodSignature">public static&nbsp;Value&nbsp;customPut&#8203;(@NonNull IAnnotatable&nbsp;object,
                              @NonNull String&nbsp;key,
                              int&nbsp;num)</pre>
</li>
</ul>
<a id="customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customPut</h4>
<pre class="methodSignature">public static&nbsp;Value&nbsp;customPut&#8203;(@NonNull IAnnotatable&nbsp;object,
                              @NonNull String&nbsp;key,
                              String&nbsp;str)</pre>
</li>
</ul>
<a id="customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customPut</h4>
<pre class="methodSignature">public static&nbsp;Value&nbsp;customPut&#8203;(@NonNull IAnnotatable&nbsp;object,
                              @NonNull String&nbsp;key,
                              Time&nbsp;time)</pre>
</li>
</ul>
<a id="customPut(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String,org.eclipse.app4mc.amalthea.model.IReferable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customPut</h4>
<pre class="methodSignature">public static&nbsp;Value&nbsp;customPut&#8203;(@NonNull IAnnotatable&nbsp;object,
                              @NonNull String&nbsp;key,
                              IReferable&nbsp;reference)</pre>
</li>
</ul>
<a id="customGetInteger(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customGetInteger</h4>
<pre class="methodSignature">public static&nbsp;Integer&nbsp;customGetInteger&#8203;(@NonNull IAnnotatable&nbsp;object,
                                       @NonNull String&nbsp;key)</pre>
</li>
</ul>
<a id="customGetString(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customGetString</h4>
<pre class="methodSignature">public static&nbsp;String&nbsp;customGetString&#8203;(@NonNull IAnnotatable&nbsp;object,
                                     @NonNull String&nbsp;key)</pre>
</li>
</ul>
<a id="customGetTime(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>customGetTime</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;customGetTime&#8203;(@NonNull IAnnotatable&nbsp;object,
                                 @NonNull String&nbsp;key)</pre>
</li>
</ul>
<a id="customGetReference(org.eclipse.app4mc.amalthea.model.IAnnotatable,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>customGetReference</h4>
<pre class="methodSignature">public static&nbsp;IReferable&nbsp;customGetReference&#8203;(@NonNull IAnnotatable&nbsp;object,
                                            @NonNull String&nbsp;key)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
